rte_geneve_hdr(3)

NAME
rte_geneve_hdr

SYNOPSIS

#include <rte_geneve.h>

  Data Fields

uint8_t ver:2
uint8_t opt_len:6
uint8_t oam:1
uint8_t critical:1
uint8_t reserved1:6
rte_be16_t proto
uint8_t vni [3]
uint8_t reserved2
uint32_t opts []

Detailed Description

GENEVE protocol header. (draft-ietf-nvo3-geneve-09) Contains: 2-bits version (must be 0). 6-bits option length in four byte multiples, not including the eight bytes of the fixed tunnel header. 1-bit control packet. 1-bit critical options in packet. 6-bits reserved 16-bits Protocol Type. The protocol data unit after the Geneve header following the EtherType convention. Ethernet itself is represented by the value 0x6558. 24-bits Virtual Network Identifier (VNI). Virtual network unique identified. 8-bits reserved bits (must be 0 on transmission and ignored on receipt). More-bits (optional) variable length options.

Definition at line 37 of file rte_geneve.h.

Field Documentation

  uint8_t ver
Version.

Definition at line 39 of file rte_geneve.h.

  uint8_t opt_len
Options length.

Definition at line 40 of file rte_geneve.h.

  uint8_t oam
Control packet.

Definition at line 41 of file rte_geneve.h.

  uint8_t critical
Critical packet.

Definition at line 42 of file rte_geneve.h.

  uint8_t reserved1
Reserved.

Definition at line 43 of file rte_geneve.h.

  rte_be16_t proto
Protocol type.

Definition at line 51 of file rte_geneve.h.

  uint8_t vni[3]
Virtual network identifier.

Definition at line 52 of file rte_geneve.h.

  uint8_t reserved2
Reserved.

Definition at line 53 of file rte_geneve.h.

  uint32_t opts[]
Variable length options.

Definition at line 54 of file rte_geneve.h.

Author

Generated automatically by Doxygen for DPDK from the source code.